package com.myorg.springaop.examples;

import org.aspectj.lang.ProceedingJoinPoint;


public class MyLoggingAspect
{
    public Object log(ProceedingJoinPoint call) throws Throwable
    {
        System.out.println("from logging aspect: entering method [" +call.toShortString()+"] with param:"+call.getArgs()[0]);
        Object point =  call.proceed();
        System.out.println("from logging aspect: exiting method [" + call.toShortString() + "with return as:" +point);        
        return point;
    }

}
