package com.myorg.springaop.examples;


public class MyServiceImpl implements MyService
{
    //new clean application code 
    public String doSomething(String inputStr)
    {
        return "Done Something - "+inputStr;
    }
    

    //old way of writing code, with cross cutting concerns code 
    //inter-leaved with application code
    public String oldDoSomething(String input)
    {
        //logging
        System.out.println("entering business method with:"+input);
        
        //security check for authorisation of action (business-method) 
        
        //transactionality
        try
        {
            //start new session and transaction
            
            //business logic
            
            //commit transaction
        }
        catch(Exception e)
        {
            //rollback transaction 
        }
        finally
        {
            //close session
        }
        
        //logging
        System.out.println("exiting business method with:"+input);
        return "Done Something - "+input;
    }

}
